Page MenuHomePhabricator

mw1338 hhvm complaining intermittently about TC
Closed, ResolvedPublic

Description

I've seen a few of these errors in logs for mw1338:

[a36fc37bfd00ccd2ba161307] /rpc/RunSingleJob.php   PHP Fatal Error: unexpected N4HPHP13DataBlockFullE: Attempted to emit 1 byte(s) into a 0 byte DataBlock with 0 bytes available. This almost certainly means the TC is full. If this is the case, increasing Eval.JitASize, Eval.JitAColdSize, Eval.JitAFrozenSize and Eval.JitGlobalDataSize in the configuration file when running this script or application should fix this problem.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 13 2019, 10:54 PM
thcipriani renamed this task from mw1338 hhvm claiming intermittently about TC to mw1338 hhvm complaining intermittently about TC.Feb 13 2019, 10:56 PM

Mentioned in SAL (#wikimedia-operations) [2019-02-14T11:43:12Z] <_joe_> restarting hhvm on mw1338, hot tc exhausted T216084

Joe closed this task as Resolved.EditedFeb 14 2019, 11:43 AM
Joe claimed this task.

The Jit TC cold portion was completely full and exhausted on that server. A restart of HHVM should've solved the issue.

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:07 PM